Community
Dynamic Blocks Forum
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

How to Make a Double Lookup

29 REPLIES 29
Reply
Message 1 of 30
Libbya
22688 Views, 29 Replies

How to Make a Double Lookup

Double lookups are so darn useful and slightly tricky to make so I figured I'd make a screencast in a dedicated thread that shows exactly how to make one and how to select each of the tables.

 

 

29 REPLIES 29
Message 2 of 30
Anonymous
in reply to: Libbya

Libbya, thank you so much for posting this!!  I was a bit lost from our previous thread as I've not used lookups before but this is awesome 🙂

 

Thanks,

cmaso

Message 4 of 30
Libbya
in reply to: Charles_Shade

I didn't realize you had posted that. Still, it's nice to have the advanced options in the forum post, e.g. to be able to make it go fullscreen.  I also intentionally moved extra-slowly so folks can see what actions are required.  The commands at the bottom are also a nice addition although it is incorrect.  Where it says 'add basepoint' is actually adding a double lookup and single lookup.

Message 5 of 30
Libbya
in reply to: Libbya

As shown in the screencast, in order to see both of the lookup tables that are associated with the double lookup, it is necessary to have the system variable BACTIONBARMODE=0.  when BACTIONBARMODE equals zero it also makes it possible to add an action to another action's selection set.  This is particularly useful for getting everything working correctly with flips.  I usually keep that variable set to 0 but sometimes it is useful to switch it to 1 when I want to select all linwork and parameters, but not any actions.  I got tired of typing out the whole name so I made this simple LISP that defines the command 'BA' which will toggle the BACTIONBARMODE system variable between 0 and 1.

 

(defun c:BA
  ( / )
  (if (= (getvar "bactionbarmode") 1)
	(setvar "bactionbarmode" 0)
	(setvar "bactionbarmode" 1))
  (princ)
  )
Message 6 of 30
chris_blessing
in reply to: Libbya

Mechanical 2020 does not have an option to add a second lookup. Am I doing something wrong?

chris_blessing_0-1661949245687.png

 

Message 7 of 30
Libbya
in reply to: chris_blessing

You are trying to create a tool from the lookup action instead of the lookup parameter.

Message 8 of 30
chris_blessing
in reply to: Libbya

@Libbya That would do it, thanks!

Message 9 of 30
rene.avilazng
in reply to: Libbya

Thank you 🙂

 

Message 10 of 30
JoseMandirigma
in reply to: Libbya

why I don't have those 2 lightning thing, what I got after inserting double lookup is a small box just like this. Screenshot 2023-02-19 114823.png

Message 11 of 30
Libbya
in reply to: JoseMandirigma

I took the time in the initial screencast to specifically address that.  You might want to watch it again.

Message 12 of 30
JoseMandirigma
in reply to: Libbya

which part of the video? first you copy lookup (parameters), pasted it, move it on top of basepoint then change its properties and used it. which part did I miss?

Message 13 of 30
Libbya
in reply to: JoseMandirigma

The part right after that in the video.  You also didn't bother to read the posts.  You are taking spoon-feeding to a whole new level.

Message 14 of 30
JoseMandirigma
in reply to: Libbya

I understand now. Additionally, you mentioned to watch it again based on your initial response. However, in the video, it didn't demonstrate how to change the variable, and it was only discussed in a post which I didn't bother to read. That was my mistake.

Message 15 of 30
Libbya
in reply to: JoseMandirigma


@JoseMandirigma wrote:

...However, in the video, it didn't demonstrate how to change the variable...


That is not true.  At 1:54 in the video I start typing it in and the value is changed to 1 at ~2:08 in order to show the alternate display of the tables.  I type it in again and change it back to 0 at the end of the video.  

Message 16 of 30
JoseMandirigma
in reply to: Libbya

Oh darn, my bad. How did I miss that? I rewatched the entire video and didn't see you change the variable before. Sorry about that, and thank you.

Message 17 of 30
JackTryMC
in reply to: Libbya

Is it possible to copy visibility states? @Libbya 

Message 18 of 30
hwalker
in reply to: Libbya

@JackTryMC No you cannot copy visibility states between blocks. You need to create them again in the new block.

Or save the old block as the new block. I would also suggest starting a new thread with your exact problem

Howard Walker
Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.

EESignature


Left Handed and Proud

Message 19 of 30
Libbya
in reply to: JackTryMC

 


@JackTryMC wrote:

Is it possible to copy visibility states? @Libbya 


Yeah, start a new thread.  Your question doesn't really have anything to do with the thread topic.

Message 20 of 30
Ed.Jobe
in reply to: Libbya

I found a similar way to do 2 lookups, but with one Lookup. You can add multiple parameters to a single lookup action. This also provides the ability to do asymmetrical lookups. For example, in the attached block, I have Width (X) and Height (Y) stretch parameters. With 2 lookups, selecting a value changes the height and width using the same value, i.e. a square. But with the lookup in this sample, I can implement a table with x and y of different values.

Ed


Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.
How to post your code.

EESignature

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Forma Design Contest


Autodesk Design & Make Report